/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-09-20 10:46:07
 * @LastEditTime: 2022-12-29 10:24:12
 * @LastEditors: ldh
 * @Version: 1.0.0
 * @Description: 我的任务 - 详情 - 030101,020101,020102,020103处置或退回详情
 */
import React, { useMemo } from 'react';
import { AchieveFilled } from 'dd-icons';
import Descriptions from '../../components/Descriptions';
import ImgShow from '../../components/ImgShow';
import { taskHandle_img_1 } from '../../assets/img';
import { timeFormat } from '../../utils/utility';

const TaskHandleDetail = ({ data = {} }) => {
	const strObj = useMemo(() => {
		if (data.handleResult === '21_00014-1') {
			return {
				icon: (
					<div className="taskDetail-right-header-icon">
						<AchieveFilled />
					</div>
				),
				title: '已处置',
				time: '处置时间',
				des1: '处置人',
				des2: { label: '处置反馈', value: data.handleContent },
			};
		} else {
			return {
				icon: <img className="taskDetail-right-header-icon" src={taskHandle_img_1} alt="" />,
				title: '已退回',
				time: '退回时间',
				des1: '退回人',
				des2: { label: '核实后的房名房址', value: data.addr },
			};
		}
	}, [data.handleResult]);

	return (
		<div className="taskDetail">
			<div className="taskDetail-right">
				<div className="taskDetail-right-header">
					{strObj.icon}
					<div>
						<h5>{strObj.title}</h5>
						<div className="taskDetail-right-header-subtitle">
							{strObj.time}：{timeFormat(data.finishTime)}
						</div>
					</div>
				</div>
				<Descriptions
					data={[
						{ label: strObj.des1, value: data.handleUserName },
						strObj.des2,
						data.handleResult === '21_00014-1'
							? {
									label: '事件附件',
									type: 'files',
									value: (
										<div className="taskHandle-msg-files">
											{!data.fileList?.length && '-'}
											{data.fileList?.map((x, t) => (
												<div className="taskHandle-msg-files-item" key={t}>
													<ImgShow img={x.showUrl} allImg={data.fileList} noTitle />
												</div>
											))}
										</div>
									),
							  }
							: {
									label: '退回理由',
									value: data.handleContent,
							  },
					]}
					layout="vertical"
					columns={1}
					colon={false}
					textGap={0}
					itemGap={8}
				/>
			</div>
		</div>
	);
};

export default TaskHandleDetail;
